#include "hmg.ch"

// --------------------------------------------*
//  © Mustafa López  mustalopez@gmail.com
// --------------------------------------------*

*----------------------------------------------*
 FUNCTION ViewPik()   //  corregido  17-3-2024
*----------------------------------------------*

   PRIVATE QTalY := " " 
   PRIVATE QTalE := " " 

   PRIVATE CWalY := " " 
   PRIVATE CWalE := " " 

  Declare Window PRINCE

 DIRCHANGE( DirNc)

   IF FILE( "Counter.mem" )
      RESTORE FROM Counter.mem ADDITIVE
    ELSE
      COUN = 0
      SAVE ALL LIKE coUn* TO Counter.mem
   ENDIF
  
   cFileName := "Cartones\" + STRZERO( coUn, 4 )

 *------------------------------------------------*

 IF !IsWindowDefined("Form_3")   


     DEFINE WINDOW Form_3 AT 467,150 WIDTH 1132 HEIGHT 272 MODAL BACKCOLOR { 128, 128, 255 } NOCAPTION NOSIZE 

      ON KEY ESCAPE ACTION Form_3.Release

      BoxShadow(007, 007, 1128, 268 ,"01y" ,"02y",  128, 128, 255  )   // <----- Cuadro Win con Sombra
 
                      Form_3.Label_01y.Enabled := .F.     
                      Form_3.Label_02y.Enabled := .F.   

      Box(003, 389, 002, 107 ,"15", 255,255,255 ) //<----------- Line Vertical 


  PRIVATE QbColorx := {|| IF( ( xBINGO1->B1) == ( xBINGO1->Z1)  , ORANGE , { 183,245,205 } ) }           
  PRIVATE TbColorx := {|| IF( ( xBINGO2->B1) == ( xBINGO2->Z1)  , ORANGE , { 183,245,205 } ) }            
  PRIVATE QfColorx := {|| IF( ordkeyno()/2 == INT(ordkeyno()/2) , { 000,000,255 },{ 000,000,255 } ) } 

  @ 36,025 LABEL Label_1z  VALUE "" WIDTH 350 HEIGHT 25 FONT "Arial" SIZE 12 BOLD BACKCOLOR { 128, 128, 255 } FONTCOLOR BLUE 
  @ 78,025 LABEL Label_2z  VALUE "" WIDTH 350 HEIGHT 25 FONT "Arial" SIZE 12 BOLD BACKCOLOR { 128, 128, 255 } FONTCOLOR RED 
 
  @ 36,409 LABEL Label_3z  VALUE "" WIDTH 350 HEIGHT 25 FONT "Arial" SIZE 12 BOLD BACKCOLOR { 128, 128, 255 } FONTCOLOR BLUE 
  @ 78,409 LABEL Label_4z  VALUE "" WIDTH 350 HEIGHT 25 FONT "Arial" SIZE 12 BOLD BACKCOLOR { 128, 128, 255 } FONTCOLOR RED 

  @ 15,032 LABEL Label_1Q  VALUE "Números Cartón Izq. Verificados:  " WIDTH 276 HEIGHT 20 FONT "Arial" SIZE 12 BOLD BACKCOLOR { 128,128,255 } FONTCOLOR { 243,255,237 } 
  @ 57,032 LABEL Label_2Q  VALUE "Números Cartón Izq. Faltan Salir: " WIDTH 276 HEIGHT 20 FONT "Arial" SIZE 12 BOLD BACKCOLOR { 128,128,255 } FONTCOLOR { 243,255,237 } 

  @ 15,416 LABEL Label_3Q  VALUE "Números Cartón Der. Verificados:  " WIDTH 276 HEIGHT 20 FONT "Arial" SIZE 12 BOLD BACKCOLOR { 128,128,255 } FONTCOLOR { 243,255,237 } 
  @ 57,416 LABEL Label_4Q  VALUE "Números Cartón Der. Faltan Salir: " WIDTH 276 HEIGHT 20 FONT "Arial" SIZE 12 BOLD BACKCOLOR { 128,128,255 } FONTCOLOR { 243,255,237 }  
      DEFINE IMAGE Image_1
         ROW 110  
         COL 015 
         WIDTH  750 
         HEIGHT 150  
         PICTURE cFileName + ".Png"   
         STRETCH .T.
      END IMAGE
  
      SetProperty( "Form_3", "Image_1", "Enabled", .F.)

  @ 138,023 LABEL Label_5H VALUE "B I N G O" WIDTH 360 HEIGHT 95 FONT "ALGERIAN" SIZE 60 BOLD FONTCOLOR WHITE BACKCOLOR BLUE   CENTERALIGN 
  @ 138,398 LABEL Label_6H VALUE "B I N G O" WIDTH 360 HEIGHT 95 FONT "ALGERIAN" SIZE 64 BOLD FONTCOLOR RED   BACKCOLOR YELLOW CENTERALIGN 
 
      SetProperty( "Form_3", "Label_5H", "Visible", .F.)
      SetProperty( "Form_3", "Label_6H", "Visible", .F.)

      dbCloseAll()
      SELECT 1
      USE xBINGO1
      INDEX ON xBINGO1->Z1 TO xBingo1 
      SELECT 2
      USE xBINGO2
      INDEX ON xBINGO2->Z1 TO xBingo2 

      SELECT 1
      USE xBINGO1 INDEX xBINGO1 
      DELETE FOR Z1 == 0
      PACK
      SELECT 2
      USE xBINGO2 INDEX xBINGO2 
      DELETE FOR Z1 == 0
      PACK

      dbCloseAll()

      SELECT 1
      USE xBINGO1 INDEX xBINGO1 
      dbReindex()

      DEFINE BROWSE  xBrowse_1
             PARENT Form_3
             ROW    010
             COL    780
             WIDTH  102
             HEIGHT 247
             WIDTHS  { 049,049 }                  
             HEADERS {"Bingo","Cartón"}   
             WORKAREA xBINGO1
             FIELDS { 'xBINGO1->B1','xBINGO1->Z1' } 
             ALLOWEDIT .F.
             VSCROLLBAR .F.
             HSCROLLBAR .F.
             JUSTIFY { 1,1 }
             TOOLTIP ""
             DYNAMICBACKCOLOR { QbColorX,QbColorX }  
             DYNAMICFORECOLOR { QfColorx,QfColorX }  
             BACKCOLOR { 180,200,255 }
             FONTCOLOR { 000,255,020 } 
      END BROWSE
 
      SELECT 2
      USE xBINGO2 INDEX xBINGO2 
      dbReindex()

      DEFINE BROWSE  xBrowse_2
             PARENT Form_3
             ROW    010
             COL    890
	     WIDTH  102
	     HEIGHT 247
	     WIDTHS  { 049,049 }                  
             HEADERS {"Bingo","Cartón"}   
             WORKAREA xBINGO2
             FIELDS { 'xBINGO2->B1','xBINGO2->Z1' } 
             ALLOWEDIT .F.
             VSCROLLBAR .F.
             HSCROLLBAR .F.
             JUSTIFY { 1,1 }
             TOOLTIP ""
             DYNAMICBACKCOLOR { TbColorX ,TbColorX }  
             DYNAMICFORECOLOR { QfColorx, QfColorX }  
             BACKCOLOR { 180,200,255 }
             FONTCOLOR { 000,255,020 } 
      END BROWSE

      DEFINE PLAYER Player_2
	 ROW    0
         COL    0
         WIDTH  0
         HEIGHT 0
         FILE "Resource/applause2.mp3"
      END PLAYER

      DEFINE BUTTON Image_2  
         ROW 077
         COL 1010
         WIDTH  045
         HEIGHT 135
         PICTURE "Resource/Botto1.jpg" 
         VERTICAL .T.
         STRETCH .T.
         ACTION TABLIX1()  
      END BUTTON

      SetProperty( "Form_3", "Image_2", "Enabled", .T.)

      DEFINE BUTTON Image_3
         ROW 077
         COL 1010
         WIDTH  045
         HEIGHT 135
         PICTURE "Resource/Botto1X.jpg" 
         VERTICAL .T.
         STRETCH .T.
         ACTION NIL
      END BUTTON

      DEFINE IMAGE Image_4
         ROW 077
         COL 1065
         WIDTH  045
         HEIGHT 135  
         PICTURE  "Resource/Botto2.jpg"
         VERTICAL .T.
         STRETCH .T.
         ACTION Form_3.Release 
         TOOLTIP "EXIT"
      END IMAGE

   END WINDOW

     HMG_ChangeWindowStyle( GetControlHandle( "Image_1", "Form_3" ), LVS_REPORT, NIL, .T. )
     HMG_ChangeWindowStyle( GetControlHandle( "xBrowse_1", "Form_3" ), LVS_REPORT, NIL, .T. )
     HMG_ChangeWindowStyle( GetControlHandle( "xBrowse_2", "Form_3" ), LVS_REPORT, NIL, .T. )
     HMG_ChangeWindowStyle( GetControlHandle( "Label_5H", "Form_3" ), LVS_REPORT, NIL, .T. )
     HMG_ChangeWindowStyle( GetControlHandle( "Label_6H", "Form_3" ), LVS_REPORT, NIL, .T. )

     SETWINDOWCURSOR( Form_3.Image_4.Handle, "Resource\SmoothHand.cur" )

     SetProperty( "Form_3", "xBrowse_1", "SetFocus", .T.)
     SetProperty( "Form_3", "xBrowse_2", "SetFocus", .T.)
   
     Form_3.Image_3.Visible := .F.

 
   Form_3.Activate


   ELSE

        DoMethod ("Form_3","Restore")
     
   ENDIF

RETURN Nil


 *-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*-*


*-------------------------------------------------------------------*
FUNCTION TABLIX1()
*-------------------------------------------------------------------*

 DECLARE WINDOW Form_3

 PRIVATE nRecors1 , nRecors2

 oNarrator:Speak("REVISANDO CARTON, AGUARDE")

 Form_3.Image_2.Enabled := .F.
 Form_3.Image_2.Visible := .F.
 Form_3.Image_3.Visible := .F.
 Form_3.Image_3.Visible := .T.

 dbCloseAll()

 IF !File("zBingo1.dbf")
    use xBingo1 
    copy to zBingo1
 ENDIF
 
 dbCloseAll()

    USE zBingo1 
    INDEX ON Z1 TO zBingo1 
    ZAP
    APPEND FROM xBingo1 FIELDS B1,Z1 FOR B1 == z1

 dbCloseAll()

 USE zBingo1 INDEX zBingo1 

 DO WHILE !EOF()
    Form_3.Label_1z.Value := QTalY += " " + ALLTRIM( STRZero( zBingo1->Z1) )
    SKIP +1
 ENDDO

 dbCloseAll()

    USE zBingo1 INDEX zBingo1 
    ZAP
    APPEND FROM xBingo1 FIELDS B1,Z1 FOR B1 == z1

    USE zBingo1 INDEX zBingo1 
    DELETE FOR B1 == z1
    PACK

    USE zBingo1 INDEX zBingo1
    APPEND FROM xBingo1 FIELDS B1,Z1 FOR B1 <> z1

    USE zBingo1 INDEX zBingo1 
    DELETE FOR Z1 == 0
    PACK

  dbCloseAll()

  close databases
  
  USE zBingo1 INDEX zBingo1 
  nRecors1 := zBingo1->( RECCOUNT() ) 

  DO WHILE !EOF()
    Form_3.Label_2z.Value := QTalE += " " + ALLTRIM( STRZero( zBingo1->Z1) )
    SKIP +1
  ENDDO

  IF nRecors1 == 0  
      oNarrator:Speak("EL BINGO ES CORRECTO") 
      Form_3.Label_2Q.Value := SPACE(33)  
      SetProperty( "Form_3", "Label_5H", "Visible", .T.)
      Form_3.Player_2.Play() 
      INKEY(4.0)
  ENDIF

*--------------------------------------------------------------------------------*

 dbCloseAll()

 IF !File("zBingo2.dbf")
    use xBingo2
    copy to zBingo2
 ENDIF
 
 dbCloseAll()

    USE zBingo2 
    INDEX ON Z1 TO zBingo2 
    ZAP
    APPEND FROM xBingo2 FIELDS B1,Z1 FOR B1 == z1

 dbCloseAll()

 USE zBingo2 INDEX zBingo2 

 DO WHILE !EOF()
    Form_3.Label_3z.Value := CWalY += " " + ALLTRIM( STRZero( zBingo2->Z1) )
    SKIP +1
 ENDDO

 dbCloseAll()

    USE zBingo2 INDEX zBingo2 
    ZAP
    APPEND FROM xBingo2 FIELDS B1,Z1 FOR B1 == z1

    USE zBingo2 INDEX zBingo2 
    DELETE FOR B1 == z1
    PACK

    USE zBingo2 INDEX zBingo2 
    APPEND FROM xBingo2 FIELDS B1,Z1 FOR B1 <> z1

    USE zBingo2 INDEX zBingo2 
    DELETE FOR Z1 == 0
    PACK

  dbCloseAll()

  close databases
  
  USE zBingo2 INDEX zBingo2 
  nRecors2 := zBingo2->( RECCOUNT() )    

  DO WHILE !EOF()
    Form_3.Label_4z.Value := CWalE += " " + ALLTRIM( STRZero( zBingo2->Z1) ) 
    SKIP +1
  ENDDO
  
  IF nRecors2 == 0  
      oNarrator:Speak("EL BINGO ES CORRECTO") 
      Form_3.Label_4Q.Value := SPACE(33)  
      SetProperty( "Form_3", "Label_6H", "Visible", .T.)  
      Form_3.Player_2.Play() 
      INKEY(4.0)
  ENDIF

*------------------------------------------------------------------------------*

     dbCloseAll()

      SELECT 1
      USE xBINGO1 INDEX xBINGO1 
      dbReindex()

      SELECT 2
      USE xBINGO2 INDEX xBINGO2 
      dbReindex()

    SetProperty( "Form_3", "xBrowse_1", "SetFocus", .T.)
    SetProperty( "Form_3", "xBrowse_2", "SetFocus", .T.)


 Return Nil

*-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._.-._-._.-._.-._.-._.-._.-._.-*




























































